import { IWidgetPinningApi } from "../apis/api.interfaces";
export declare class WidgetPinningApi implements IWidgetPinningApi {
    getUserSettingsAsync(storageKey: string): Promise<string>;
    setUserSettingsAsync(storageKey: string, pinnedWidgetsInfo: string): Promise<void>;
    isMigrationCompleteAsync(storageKey: string): Promise<boolean>;
}
